Announcement Announcement Module
Collapse
No announcement yet.
Failure to deploy with JBoss 6.1 and spring-social-web-1.0.2 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Failure to deploy with JBoss 6.1 and spring-social-web-1.0.2

    I have an application which works find under JBoss 4.2.3 and also under JBoss 6.1 with earlier versions of the spring-social-web JAR. However with version 1.0.2 it fails to deploy on 6.1 with a stack trace about tlds.

    Code:
    Caused by: org.xml.sax.SAXException: cvc-complex-type.2.4.a: Invalid content was found starting with element 'jsp-version'. One of '{"http://java.sun.com/xml/ns/javaee":short-name}' is expected. @ vfs:///C:/Users/bwilliams/Documents/Workspaces/sts-personal/.metadata/.plugins/org.jboss.ide.eclipse.as.core/JBoss_6.x_Runtime_Server1336992548937/deploy/tokenAcquire.war/WEB-INF/lib/spring-social-web-1.0.2.RELEASE.jar/META-INF/spring-social.tld[9,18]
    It looks like JBoss 6.1 is failing to deploy because it thinks the spring-social.tld is not valid. Looking at the web-jsptaglibrary_2_1.xsd schema, the <jsp-version> element looks like it should not be there.

    Has anyone encountered this issue and is there a workaround?

  • #2
    I can't say that I've seen this particular problem. But I can say that I've encountered some similar weirdness with the TLD schema before where some elements aren't allowed by some containers, but are required and in the XSD for other containers.

    Do me a favor and open a bug issue at https://jira.springsource.org/browse/SOCIAL for this and I'll look into it further.

    Comment


    • #3
      No problems, for the moment I'm going to rollback to the 1.0.1 versions until I can find another workaround.

      Jira raised at:
      https://jira.springsource.org/browse/SOCIAL-322

      Comment

      Working...
      X